View Issue Details

IDProjectCategoryView StatusLast Update
0001472SOGoWeb Calendarpublic2012-10-20 13:29
Reporterreinhold Assigned Towsourdeau 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.8 
Target Version2.0.2Fixed in Version2.0.2 
Summary0001472: SOGo uses wront DST end date for Europe/Vienna (last sunday of september rather than of october)
Description

I'm using KOrganizer with the CalDAV ressource to create events in SOGo. Both, KOrganizer and SOGo have Europe/Vienna configured as their time zone. However, all dates in October will be shifted one hour later in the web UI. For a sample event see the attached files (downloaded via webdav from the calendar's webdav directory, so they are really what the SOGo server uses). My guess is that SOGo takes the first
BEGIN:STANDARD
...
END:STANDARD
block in the VTIMEZONE to calculate the end date for daylight saving time (the first such block specifies that in 1981-1995 the DST ended on the last sunday in september), even though the RRULE has a COUNT=15 and thus ended in 1995...

This also affects all recurring events: They are also shown one hour too late during october in Europe/Vienna.
I'll also attach a Screenshot.

TagsNo tags attached.

Activities

2011-10-24 11:21

 

2c97e9c5-84e5-4a1f-a0aa-4e8815ad74de.ics (2,174 bytes)   
BEGIN:VCALENDAR
PRODID:-//K Desktop Environment//NONSGML libkcal 4.3//EN
VERSION:2.0
BEGIN:VTIMEZONE
TZID:Europe/Vienna
BEGIN:DAYLIGHT
TZNAME:CEST
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19810329T020000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3
END:DAYLIGHT
BEGIN:DAYLIGHT
TZNAME:CEST
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19160501T220000
RDATE;VALUE=DATE-TIME:19160501T220000
RDATE;VALUE=DATE-TIME:19170416T010000
RDATE;VALUE=DATE-TIME:19180415T010000
RDATE;VALUE=DATE-TIME:19200405T010000
RDATE;VALUE=DATE-TIME:19400401T010000
RDATE;VALUE=DATE-TIME:19430329T010000
RDATE;VALUE=DATE-TIME:19440403T010000
RDATE;VALUE=DATE-TIME:19450402T010000
RDATE;VALUE=DATE-TIME:19460414T010000
RDATE;VALUE=DATE-TIME:19470406T010000
RDATE;VALUE=DATE-TIME:19480418T010000
RDATE;VALUE=DATE-TIME:19800405T230000
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19810927T030000
RRULE:FREQ=YEARLY;COUNT=15;BYDAY=-1SU;BYMONTH=9
END:STANDARD
BEGIN:STANDARD
TZNAME:CET
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19961027T030000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10
END:STANDARD
BEGIN:STANDARD
TZNAME:CET
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19161001T230000
RDATE;VALUE=DATE-TIME:19161001T230000
RDATE;VALUE=DATE-TIME:19170917T020000
RDATE;VALUE=DATE-TIME:19180916T020000
RDATE;VALUE=DATE-TIME:19200913T020000
RDATE;VALUE=DATE-TIME:19421102T020000
RDATE;VALUE=DATE-TIME:19431004T020000
RDATE;VALUE=DATE-TIME:19441002T020000
RDATE;VALUE=DATE-TIME:19450412T020000
RDATE;VALUE=DATE-TIME:19461006T020000
RDATE;VALUE=DATE-TIME:19471005T020000
RDATE;VALUE=DATE-TIME:19481003T020000
RDATE;VALUE=DATE-TIME:19800927T220000
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
CREATED:20111024T145046Z
ORGANIZER;CN=Reinhold Kainhofer:MAILTO:reinhold@kainhofer.com
DTSTAMP:20111024T144818Z
UID:2c97e9c5-84e5-4a1f-a0aa-4e8815ad74de
SEQUENCE:1
LAST-MODIFIED:20111024T144818Z
SUMMARY:KOrganizer, jeden Mo, 11:00-13:00 (Europe/Vienna), ab 3.1.2011
RRULE:FREQ=WEEKLY;BYDAY=MO
DTSTART;TZID=Europe/Vienna:20110103T110000
DTEND;TZID=Europe/Vienna:20110103T130000
TRANSP:OPAQUE
END:VEVENT
END:VCALENDAR

2011-10-24 11:22

 

b8f61253-d3d7-4770-bfc2-f1fcccf0cf69.ics (2,125 bytes)   
BEGIN:VCALENDAR
PRODID:-//K Desktop Environment//NONSGML libkcal 4.3//EN
VERSION:2.0
BEGIN:VTIMEZONE
TZID:Europe/Vienna
BEGIN:DAYLIGHT
TZNAME:CEST
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19810329T020000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=3
END:DAYLIGHT
BEGIN:DAYLIGHT
TZNAME:CEST
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
DTSTART:19160501T220000
RDATE;VALUE=DATE-TIME:19160501T220000
RDATE;VALUE=DATE-TIME:19170416T010000
RDATE;VALUE=DATE-TIME:19180415T010000
RDATE;VALUE=DATE-TIME:19200405T010000
RDATE;VALUE=DATE-TIME:19400401T010000
RDATE;VALUE=DATE-TIME:19430329T010000
RDATE;VALUE=DATE-TIME:19440403T010000
RDATE;VALUE=DATE-TIME:19450402T010000
RDATE;VALUE=DATE-TIME:19460414T010000
RDATE;VALUE=DATE-TIME:19470406T010000
RDATE;VALUE=DATE-TIME:19480418T010000
RDATE;VALUE=DATE-TIME:19800405T230000
END:DAYLIGHT
BEGIN:STANDARD
TZNAME:CET
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19810927T030000
RRULE:FREQ=YEARLY;COUNT=15;BYDAY=-1SU;BYMONTH=9
END:STANDARD
BEGIN:STANDARD
TZNAME:CET
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19961027T030000
RRULE:FREQ=YEARLY;BYDAY=-1SU;BYMONTH=10
END:STANDARD
BEGIN:STANDARD
TZNAME:CET
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
DTSTART:19161001T230000
RDATE;VALUE=DATE-TIME:19161001T230000
RDATE;VALUE=DATE-TIME:19170917T020000
RDATE;VALUE=DATE-TIME:19180916T020000
RDATE;VALUE=DATE-TIME:19200913T020000
RDATE;VALUE=DATE-TIME:19421102T020000
RDATE;VALUE=DATE-TIME:19431004T020000
RDATE;VALUE=DATE-TIME:19441002T020000
RDATE;VALUE=DATE-TIME:19450412T020000
RDATE;VALUE=DATE-TIME:19461006T020000
RDATE;VALUE=DATE-TIME:19471005T020000
RDATE;VALUE=DATE-TIME:19481003T020000
RDATE;VALUE=DATE-TIME:19800927T220000
END:STANDARD
END:VTIMEZONE
BEGIN:VEVENT
CREATED:20111024T151308Z
ORGANIZER;CN=Reinhold Kainhofer:MAILTO:reinhold@kainhofer.com
DTSTAMP:20111024T151305Z
UID:b8f61253-d3d7-4770-bfc2-f1fcccf0cf69
LAST-MODIFIED:20111024T151305Z
SUMMARY:KOrganizer: 17. Oktober 2011, 13-14:00, Europe/Vienna
DTSTART;TZID=Europe/Vienna:20111017T130000
DTEND;TZID=Europe/Vienna:20111017T140000
TRANSP:OPAQUE
END:VEVENT
END:VCALENDAR

2011-10-24 11:25

 

2011-10-24 11:25

 

wsourdeau

wsourdeau

2012-10-20 13:29

viewer   ~0004679

Fixed in https://github.com/inverse-inc/sogo/commit/5c9298febf76926dfebc9e63c202440ed7669c76.
Please test again with the next nightlies.

Issue History

Date Modified Username Field Change
2011-10-24 11:21 reinhold New Issue
2011-10-24 11:21 reinhold File Added: 2c97e9c5-84e5-4a1f-a0aa-4e8815ad74de.ics
2011-10-24 11:22 reinhold File Added: b8f61253-d3d7-4770-bfc2-f1fcccf0cf69.ics
2011-10-24 11:25 reinhold File Added: SOGO_DST_EndDate_wrong_October17.png
2011-10-24 11:25 reinhold File Added: SOGO_DST_EndDate_wrong_September19_correct.png
2011-11-24 14:30 ludovic Target Version => 1.3.11
2011-12-12 12:35 francis Target Version 1.3.11 => 1.3.12
2012-02-08 14:37 ludovic Target Version 1.3.12 => 1.3.13
2012-03-16 11:32 francis Target Version 1.3.13 => 1.3.14
2012-03-23 08:33 francis Target Version 1.3.14 => 1.3.15
2012-05-09 11:41 ludovic Target Version 1.3.15 => 1.3.16
2012-05-29 15:58 ludovic Target Version 1.3.16 => 1.3.17
2012-07-16 08:44 ludovic Target Version 1.3.17 => 1.3.18
2012-08-27 11:57 francis Target Version 1.3.18 => 2.0.0
2012-09-24 22:46 ludovic Target Version 2.0.0 => 2.0.1
2012-10-03 13:05 wsourdeau Status new => assigned
2012-10-03 13:05 wsourdeau Assigned To => wsourdeau
2012-10-09 16:31 wsourdeau Target Version 2.0.1 => 2.0.2
2012-10-20 13:29 wsourdeau Note Added: 0004679
2012-10-20 13:29 wsourdeau Status assigned => resolved
2012-10-20 13:29 wsourdeau Fixed in Version => 2.0.2
2012-10-20 13:29 wsourdeau Resolution open => fixed